Loading...
Searching...
No Matches
casacore::FitsBase Class Referenceabstract
fits package (libcasa_fits) » FITS_module

helper class More...

`#include <hdu.h>`

## Public Member Functions

| FitsBase (const FITS::ValueType &t, int n)
virtual | ~FitsBase ()
unsigned int | nelements () const
virtual int | fitsfieldsize () const =0
virtual int | localfieldsize () const =0
virtual void * | data ()=0
virtual int | dims () const
virtual int | dim (int n) const
virtual int * | vdim ()
FITS::ValueType | fieldtype () const
FitsBase & | operator= (FitsBase &)=delete
virtual void | show (std::ostream &)=0

## Static Public Member Functions

static FitsBase * | make (const FITS::ValueType &, int=1)
static FitsBase * | make (const FITS::ValueType &, int, int *)
static FitsBase * | make (FitsBase &)

## Protected Member Functions

virtual void | setaddr (void **)=0

## Protected Attributes

int | no_elements
FITS::ValueType | data_type

## Friends

class | BinaryTableExtension
class | AsciiTableExtension

## Detailed Description

helper class

Definition at line 838 of file hdu.h.

## Constructor & Destructor Documentation

## FitsBase()

casacore::FitsBase::FitsBase | ( | const FITS::ValueType & | t,
|  | int | n )

inline

Definition at line 842 of file hdu.h.

References data_type, and no_elements.

Referenced by casacore::FitsField< FitsLogical >::FitsField(), make(), make(), make(), and operator=().

## ~FitsBase()

virtual casacore::FitsBase::~FitsBase | ( |  | ) |

virtual

## Member Function Documentation

## data()

virtual void * casacore::FitsBase::data | ( |  | ) |

pure virtual

Implemented in casacore::FitsField< TYPE >, casacore::FitsField< char >, casacore::FitsField< Complex >, casacore::FitsField< DComplex >, casacore::FitsField< double >, casacore::FitsField< FitsBit >, casacore::FitsField< FitsLogical >, casacore::FitsField< FitsLong >, casacore::FitsField< fitsType >, casacore::FitsField< FitsVADesc >, casacore::FitsField< float >, casacore::FitsField< IComplex >, casacore::FitsField< short >, and casacore::FitsField< unsigned char >.

## dim()

virtual int casacore::FitsBase::dim | ( | int | n | ) | const

virtual

Reimplemented in casacore::FitsArray< TYPE >, casacore::FitsArray< char >, casacore::FitsArray< Complex >, casacore::FitsArray< DComplex >, casacore::FitsArray< double >, casacore::FitsArray< FitsBit >, casacore::FitsArray< FitsLogical >, casacore::FitsArray< FitsLong >, casacore::FitsArray< FitsVADesc >, casacore::FitsArray< float >, casacore::FitsArray< IComplex >, casacore::FitsArray< short >, and casacore::FitsArray< unsigned char >.

## dims()

virtual int casacore::FitsBase::dims | ( |  | ) | const

virtual

Reimplemented in casacore::FitsArray< TYPE >, casacore::FitsArray< char >, casacore::FitsArray< Complex >, casacore::FitsArray< DComplex >, casacore::FitsArray< double >, casacore::FitsArray< FitsBit >, casacore::FitsArray< FitsLogical >, casacore::FitsArray< FitsLong >, casacore::FitsArray< FitsVADesc >, casacore::FitsArray< float >, casacore::FitsArray< IComplex >, casacore::FitsArray< short >, and casacore::FitsArray< unsigned char >.

## fieldtype()

FITS::ValueType casacore::FitsBase::fieldtype | ( |  | ) | const

inline

Definition at line 853 of file hdu.h.

References data_type.

## fitsfieldsize()

virtual int casacore::FitsBase::fitsfieldsize | ( |  | ) | const

pure virtual

Implemented in casacore::FitsField< TYPE >, casacore::FitsField< char >, casacore::FitsField< Complex >, casacore::FitsField< DComplex >, casacore::FitsField< double >, casacore::FitsField< FitsBit >, casacore::FitsField< FitsLogical >, casacore::FitsField< FitsLong >, casacore::FitsField< fitsType >, casacore::FitsField< FitsVADesc >, casacore::FitsField< float >, casacore::FitsField< IComplex >, casacore::FitsField< short >, and casacore::FitsField< unsigned char >.

## localfieldsize()

virtual int casacore::FitsBase::localfieldsize | ( |  | ) | const

pure virtual

Implemented in casacore::FitsField< TYPE >, casacore::FitsField< char >, casacore::FitsField< Complex >, casacore::FitsField< DComplex >, casacore::FitsField< double >, casacore::FitsField< FitsBit >, casacore::FitsField< FitsLogical >, casacore::FitsField< FitsLong >, casacore::FitsField< fitsType >, casacore::FitsField< FitsVADesc >, casacore::FitsField< float >, casacore::FitsField< IComplex >, casacore::FitsField< short >, and casacore::FitsField< unsigned char >.

## make() [1/3]

FitsBase * casacore::FitsBase::make | ( | const FITS::ValueType & | ,
|  | int | ,
|  | int * | )

static

References FitsBase().

## make() [2/3]

FitsBase * casacore::FitsBase::make | ( | const FITS::ValueType & | ,
|  | int | = 1 )

static

References FitsBase().

## make() [3/3]

FitsBase * casacore::FitsBase::make | ( | FitsBase & |  | ) |

static

References FitsBase().

## nelements()

unsigned int casacore::FitsBase::nelements | ( |  | ) | const

inline

Definition at line 846 of file hdu.h.

References no_elements.

## operator=()

FitsBase & casacore::FitsBase::operator= | ( | FitsBase & |  | ) |

delete

References FitsBase().

## setaddr()

virtual void casacore::FitsBase::setaddr | ( | void ** |  | ) |

protected pure virtual

Implemented in casacore::FitsField< TYPE >, casacore::FitsField< char >, casacore::FitsField< Complex >, casacore::FitsField< DComplex >, casacore::FitsField< double >, casacore::FitsField< FitsBit >, casacore::FitsField< FitsLogical >, casacore::FitsField< FitsLong >, casacore::FitsField< fitsType >, casacore::FitsField< FitsVADesc >, casacore::FitsField< float >, casacore::FitsField< IComplex >, casacore::FitsField< short >, and casacore::FitsField< unsigned char >.

## show()

virtual void casacore::FitsBase::show | ( | std::ostream & |  | ) |

pure virtual

Implemented in casacore::FitsField< TYPE >, casacore::FitsField< char >, casacore::FitsField< Complex >, casacore::FitsField< DComplex >, casacore::FitsField< double >, casacore::FitsField< FitsBit >, casacore::FitsField< FitsLogical >, casacore::FitsField< FitsLong >, casacore::FitsField< fitsType >, casacore::FitsField< FitsVADesc >, casacore::FitsField< float >, casacore::FitsField< IComplex >, casacore::FitsField< short >, and casacore::FitsField< unsigned char >.

Referenced by casacore::operator<<().

## vdim()

virtual int * casacore::FitsBase::vdim | ( |  | ) |

virtual

Reimplemented in casacore::FitsArray< TYPE >, casacore::FitsArray< char >, casacore::FitsArray< Complex >, casacore::FitsArray< DComplex >, casacore::FitsArray< double >, casacore::FitsArray< FitsBit >, casacore::FitsArray< FitsLogical >, casacore::FitsArray< FitsLong >, casacore::FitsArray< FitsVADesc >, casacore::FitsArray< float >, casacore::FitsArray< IComplex >, casacore::FitsArray< short >, and casacore::FitsArray< unsigned char >.

## Friends And Related Symbol Documentation

## AsciiTableExtension

friend class AsciiTableExtension

friend

Definition at line 840 of file hdu.h.

References AsciiTableExtension.

Referenced by AsciiTableExtension.

## BinaryTableExtension

friend class BinaryTableExtension

friend

Definition at line 839 of file hdu.h.

References BinaryTableExtension.

Referenced by BinaryTableExtension.

## Member Data Documentation

## data_type

FITS::ValueType casacore::FitsBase::data_type

protected

Definition at line 864 of file hdu.h.

Referenced by fieldtype(), and FitsBase().

## no_elements

int casacore::FitsBase::no_elements

protected

Definition at line 863 of file hdu.h.

Referenced by FitsBase(), and nelements().

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h